## GimpColorNotebook

GimpColorNotebook — A GimpColorSelector implementation.

## Functions

GtkWidget * | gimp_color_notebook_set_has_page ()

## Style Properties

gint | tab-border | Read
GtkIconSize | tab-icon-size | Read

## Types and Values

| GimpColorNotebook

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpColorSelector
                                ╰── GimpColorNotebook

## Implemented Interfaces

GimpColorNotebook implements AtkImplementor, GtkBuildable and GtkOrientable.

## Description

The GimpColorNotebook widget is an implementation of a GimpColorSelector. It serves as a container for GimpColorSelectors.

## Functions

### gimp_color_notebook_set_has_page ()

    GtkWidget *
    gimp_color_notebook_set_has_page (GimpColorNotebook *notebook,
                                      GType page_type,
                                      gboolean has_page);

This function adds and removed pages to / from a GimpColorNotebook. The `page_type` passed must be a GimpColorSelector subtype.

#### Parameters

notebook | A GimpColorNotebook widget. |
page_type | The GType of the notebook page to add or remove. |
has_page | Whether the page should be added or removed. |

#### Returns

The new page widget, if `has_page` was TRUE, or NULL if `has_page` was FALSE.

## Types and Values

### GimpColorNotebook

    typedef struct _GimpColorNotebook GimpColorNotebook;

## Style Property Details

### The `“tab-border”` style property

      “tab-border”               gint

Width of the border around the tab contents.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“tab-icon-size”` style property

      “tab-icon-size”            GtkIconSize

Size for icons displayed in the tab.

Flags: Read

Default value: GTK_ICON_SIZE_BUTTON